import type { BasicWidgetInstance, BasicWidgetProps } from '../../utils'

export interface SwitchControlProps extends BasicWidgetProps {
    // 底部距离 rpx
    bottom?: number
    // 上一个
    prev?: () => void
    // 下一个
    next?: () => void
}

export interface SwitchControlInstance extends BasicWidgetInstance<SwitchControlProps> {
    /**
     * 手动调用上一个
     */
    prev: () => void
    /**
     * 手动调用下一个
     */
    next: () => void
}
